package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.PublishSetting;

import java.util.List;

//TODO
public class APIShareViewModel {


    //服务名称
    private String resourceName ;

    //服务简介
    private String resourceSummary ;

    //面向对象


    //发布机构


    //分类


    //发布日期


    //返回码
    private String returnCode ;

    //接口
    private List<APIOpenInterfaceViewModel> interfaceViewModels ;

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary;
    }

    public String getReturnCode() {
        return returnCode;
    }

    public void setReturnCode(String returnCode) {
        this.returnCode = returnCode;
    }

    public List<APIOpenInterfaceViewModel> getInterfaceViewModels() {
        return interfaceViewModels;
    }

    public void setInterfaceViewModels(List<APIOpenInterfaceViewModel> interfaceViewModels) {
        this.interfaceViewModels = interfaceViewModels;
    }
}
